Skip to main content
`Ctrl`+`K`

# KSPGetRhs

Gets the right-hand-side vector for the linear system to be solved.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPGetRhs(KSP ksp, Vec *r)

Not Collective

## Input Parameter

- ksp - iterative solver obtained from `KSPCreate()`

## Output Parameter

- r - right-hand-side vector

## See Also

KSP: Linear System Solvers, `KSPGetSolution()`, `KSPSolve()`, `KSP`

## Level

developer

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex25.c
src/ksp/ksp/tutorials/ex45.c
src/ksp/ksp/tutorials/ex34.c
src/ksp/ksp/tutorials/ex29.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages